#!/bin/sh

inits=""
for file in $*
do
     
    file_inits=`${G_NM} $file | \
	    ${G_GREP} '[ 	][ 	]*T[ 	][ 	]*__fm_module_init' | \
	    ${G_SED} -e 's/.*\(_fm_module_init[^ 	]*\)/\1/'`
    inits="${inits} ${file_inits}"
done

for init in $inits
do
echo "extern void $init();"
done

echo ""

echo "void _fm_linktime_init()"
echo "{"
for init in $inits
do
echo "    $init();"
done
echo "}"
