/*
 * Compute the Nexus handler hash value for the command line arguments.
 */

static char *rcsid = "$Header: /home/compose/Master/FM/src/nexus/hash.c,v 1.27 1995/08/22 20:31:24 tuecke Exp $";
static char *nexus_rcsid = "Header: /Net/folding.compbio.caltech.edu/bcomp/src/master/nexus/hash.c,v 1.4 1995/03/30 19:35:20 tuecke Exp ";

#define NEXUS_HANDLER_HASH_TABLE_SIZE 1021

int main(int argc, char **argv)
{
    int i;
    int hash;
    char *s, *name;

    for (i = 1; i < argc; i++)
    {
	name = argv[i];
	
	hash = 0;
	for (s = name; *s != '\0'; s++)
	    hash += (int) *s;
	hash = hash % NEXUS_HANDLER_HASH_TABLE_SIZE;

	printf("%d\t%s\n", hash, name);
    }
    
    return (0);
}
