/*
 * types.h
 *
 * rcsid = "$Header: /home/compose/Master/FM/src/nexus/nx_ver.h,v 1.21 1995/08/22 20:31:55 tuecke Exp $"
 * nexus_rcsid = "Header: /Net/folding.compbio.caltech.edu/bcomp/src/master/nexus/nx_ver.h,v 1.6 1995/03/31 01:19:37 tuecke Exp "
 */

#ifndef _NEXUS_INCLUDE_NX_VERSION_H
#define _NEXUS_INCLUDE_NX_VERSION_H

#ifdef NEXUS_PROFILE
extern int _nexus_linked_profile;
static int _nexus_defined_profile() { return _nexus_linked_profile; }
#else
extern int _nexus_linked_no_profile;
static int _nexus_defined_profile() { return _nexus_linked_no_profile; }
#endif

#ifdef NEXUS_DEBUG
extern int _nexus_linked_debug;
static int _nexus_defined_debug() { return _nexus_linked_debug; }
#else
extern int _nexus_linked_no_debug;
static int _nexus_defined_debug() { return _nexus_linked_no_debug; }
#endif

#ifdef NEXUS_SANITY_CHECK
extern int _nexus_linked_sanity;
static int _nexus_defined_sanity() { return _nexus_linked_sanity; }
#else
extern int _nexus_linked_no_sanity;
static int _nexus_defined_sanity() { return _nexus_linked_no_sanity; }
#endif

/* two levels of static function calls are needed in order to fool
   the IBM AIX 3.2 compilers and/or linker into not optimizing away
   the linkguards (jwg).
*/
static int _nexus_force_resolution()
{
	return _nexus_defined_profile() + _nexus_defined_debug() +
		_nexus_defined_sanity();
}
#endif /* _NEXUS_INCLUDE_NX_VERSION_H */
