/**********************************************************************
$Id: initwrap.c,v 1.2 1995/06/14 04:41:05 tuecke Exp $

$Source: /home/compose/Master/FM/src/fm_runtime/initwrap.c,v $

FM runtime startup code.
**********************************************************************/

#include "fm.h"

int FM_INIT()
{
    nexus_node_t *nodes;
    int n_nodes;
    extern int _fm_package_args_init(int *argc, char ***argv);
    extern void _fm_usage_message();
    extern int _fm_new_process_params(char *buf, int size);
    
    nexus_init(NULL, /* &argc */
	       NULL, /* &argv */
	       "FM_ARGS",
	       "fm",
	       _fm_package_args_init,
	       _fm_usage_message,
	       _fm_new_process_params,
	       NULL, /* module_list */
	       &nodes,
	       &n_nodes);

    _fm_linktime_init_func = _fm_linktime_init;
    return(_fm_real_init(nodes, n_nodes));
}
