/*
 * p0_macros.h
 *
 * rcsid = "$Header: /home/compose/Master/FM/src/nexus/ports0/p0_macros.h,v 1.9 1995/08/22 20:34:31 tuecke Exp $"
 * ports0_rcsid = "Header: /Net/folding.compbio.caltech.edu/bcomp/src/master/nexus/ports0/p0_macros.h,v 1.3 1995/06/02 00:07:29 tuecke Exp "
 */

#ifndef _PORTS0_INCLUDE_MACROS_H
#define _PORTS0_INCLUDE_MACROS_H


#ifdef PORTS0_DEBUG
#define Ports0Debug(Level) (_p0_debug_level >= (Level))
#endif

#ifdef PORTS0_DEBUG
#define ports0_debug_printf(level, message) \
do { \
    if (Ports0Debug(level)) \
    { \
	ports0_printf message; \
    } \
} while (0)
#else
#define ports0_debug_printf(level, message)
#endif

#ifdef PORTS0_MALLOC_DEBUG
#define Ports0MallocDebug(Level) (_p0_malloc_debug_level >= (Level))
#endif

#endif /* _PORTS0_INCLUDE_MACROS_H */
